package com.laihua.projecthelper.code

/**
 * Author: pengjunjing
 * Date: 2022/3/11
 * Description:扩展功能
 */
class FunExt {
}

/**
 * 是否包含一个模块
 */
fun Collection<Module>.containModule(moduleName: String): Boolean {
    for (module in this.iterator()) {
        if (module.moduleName == moduleName) {
            return true
        }
    }
    return false
}

fun Collection<Module>.getModule(moduleName: String): Module? {
    for (module in this.iterator()) {
        if (module.moduleName == moduleName) {
            return module
        }
    }
    return null
}