package com.laihua.projecthelper.code

import java.io.File

/**
 * Author: pengjunjing
 * Date: 2022/3/11
 * Description:引用了string资源读取器
 */
class StringRefCodeReader : CodeReader {
    override fun targetCode(codeFile: File): List<String> {
        //查找依赖了字符串资源的代码
        return codeFile.readLines().filter {
            it.contains("R.string.") || it.contains("@string/")
        }
    }
}