package com.laihua.projecthelper.code

import java.io.File

/**
 * 模块
 * @param moduleFile 模块的文件夹路径
 */
class Module(private val moduleFile: File) {
    //模块名字
    val moduleName: String = moduleFile.name

    /**
     * 该模块下的代码
     */
    var codes: MutableList<Code> = mutableListOf()

    override fun toString(): String = moduleName
}