package com.laihua.projecthelper.stringxml

import com.laihua.projecthelper.code.Module
import java.io.File

/**
 * Author: pengjunjing
 * Date: 2022/3/11
 * Description:
 * 以下方xml代码为例
 * <string name="file_name">文件名称</string>
 */
data class StringElement(
    // 所属的文件
    val file: File,
    // 所属模块,指的是代码所属的模块
    val belongModule: String,
    // 字符串节点的值:file_name
    val attributeName: String,
    // 值:文件名称
    val value: String,
) {

    /**
     * 被引用的地方
     */
    val refer = mutableSetOf<Module>()

}